(*****************************************************************************)
(*                                                                           *)
(*          Buchberger : hypothesis for substraction                         *)
(*                                                                           *)
(*          Laurent Thery March 97 (revised Mai 98)                          *)
(*                                                                           *)
(*****************************************************************************)

Load shyp_smultm_lm.
Hypothesis nZero_T1:~ (zeroP T1).
Hypothesis minusTerm:Term -> Term ->Term.
Hypothesis eqTerm_minusTerm_plusTerm_invTerm:(a, b:Term)(eqTerm (minusTerm a b) (plusTerm a (invTerm b))).
Hypothesis minusTerm_ltM_l:
           (a, b, c:Term) (T2M a) =(T2M b) -> (ltM (T2M a) (T2M c)) ->
           (ltM (T2M (minusTerm a b)) (T2M c)).
Hypothesis invTerm_ltM_l:(a, c:Term) (ltM (T2M a) (T2M c)) ->(ltM (T2M (invTerm a)) (T2M c)).
Hypothesis minusTerm_eq:
           (m1, m2:Term) (T2M m1) =(T2M m2) ->(T2M (minusTerm m1 m2)) =(T2M m1).
