(*****************************************************************************)
(*                                                                           *)
(*          Buchberger : hypothesis for reduction                            *)
(*                                                                           *)
(*          Laurent Thery Mai 97 (revised Mai 98)                            *)
(*                                                                           *)
(*****************************************************************************)

Load shyp_spminus.

Hypothesis zeroP_divTerm:(a, b:Term) (zeroP a) -> (nZb:~(zeroP b)) (zeroP (divTerm a b nZb)).

Hypothesis divTerm_dec:
           (a, b:Term) ~ (zeroP a) -> (nZb:~ (zeroP b)) {(eqTerm a (multTerm (divTerm a b nZb) b) )}+
{~ (eqTerm a (multTerm (divTerm a b nZb) b))}.

Hypothesis divTerm_eq:
           (a, b, c:Term) (T2M a)=(T2M b) -> ~(zeroP a) ->~(zeroP b)-> (nZc: ~(zeroP c)) (eqTerm a (multTerm (divTerm a c nZc) c)) -> (eqTerm b (multTerm (divTerm b c nZc) c)).


